# AWS Configuration parameters
REGION="us-east-1"
AvailabilityZones="us-east-1a us-east-1b"
TAGS="Owner=User1,Description=EKS Cluster desc"

## Networking configuration
VPC_ID=""
VPC_CIDR="10.107.0.0/16"
NAT_SUBNET_CIDR="10.107.0.0/24"
PUBLIC_SUBNET_CIDRS="10.107.1.0/24 10.107.2.0/24"
PRIVATE_SUBNET_CIDRS="10.107.3.0/24 10.107.4.0/24"
VPC_NAT_MODE="Single"
WARM_IP_TARGET="8"
CUSTOMER_CIDRS="10.107.0.0/16 10.108.0.0/16"

# EKS control plane config
CLUSTER_NAME="testcluster"
CLUSTER_VERSION="1.13"
ENABLE_PRIVATE_ACCESS=True
ENABLE_PUBLIC_ACCESS=False
CNI_VERSION="1.5"
# Logging types: ["api","audit","authenticator","controllerManager","scheduler"]
LOGGING_TYPES="api,audit"

# Common parameters
WAIT_DURATION=1200
WAIT_INTERVAL=10
STACK_CREATION_TIMEOUT="30m"

EKSCTL_VERSION="0.3.0"
AWS_CLI_VERSION="1.16.156"
